PACKAGE_VERSION="0.83.0"
SCRIPTS_PATH=$('pwd')
PATTERN_TO_FIND="0.0.0"
FILE_NAME="../../productInfo.json"

echo "# executing composer #"
cd ../backend
{
	$SCRIPTS_PATH/back_step.sh
} || {
	echo 'Error to execute back_step.sh'
}

cd ../mobile
echo "# executing bower, npm and grunt #"
{
	$SCRIPTS_PATH/front_step.sh
} || {
	echo 'Error to execute front_step.sh'
}
grunt buildEnvironment:production

cd ../backend/config/
sed -i "s|<>APP_VERSION_BACKEND<>|$PACKAGE_VERSION|g" "parameters.xml"
sed -i "0,/$PATTERN_TO_FIND/s//$PACKAGE_VERSION/" $FILE_NAME
sed -i "s|<>APPLICATION_VERSION<>|$PACKAGE_VERSION|g" "../../mobile/bower.json"


echo $PACKAGE_VERSION
echo "Fim"
